iSkeletonSocket Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSkeletonSocket Struct Reference

The skeleton socket object wraps a relative transform of a bone. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonSocket:

List of all members.

## Public Member Functions
virtual iSkeletonBone * | GetBone ()=0
| Get parent bone.
virtual iSkeletonSocketFactory * | GetFactory ()=0
| Get factory of the socket.
virtual csReversibleTransform & | GetFullTransform ()=0
| Get full transform of the socket.
virtual const char * | GetName () const =0
| Get socket name.
virtual iSceneNode * | GetSceneNode ()=0
| Get scene node.
virtual csReversibleTransform & | GetTransform ()=0
| Get socket transform in parent's coordsys.
virtual void | SetBone (iSkeletonBone *bone)=0
| Set parent bone.
virtual void | SetName (const char *name)=0
| Set socket name.
virtual void | SetSceneNode (iSceneNode *node)=0
| Set scene node (mesh, camera or light).
virtual void | SetTransform (const csReversibleTransform &transform)=0
| Set socket transform in parent's coordsys.

## Detailed Description

The skeleton socket object wraps a relative transform of a bone.

It is used to attach meshes, cameras or lights to a bone. When bone animates it moves the attached object to the socket too. This is usefull to create an invertory of a model.

Definition at line 568 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonBone* iSkeletonSocket::GetBone | ( |  | ) | `[pure virtual]`

Get parent bone.

virtual iSkeletonSocketFactory* iSkeletonSocket::GetFactory | ( |  | ) | `[pure virtual]`

Get factory of the socket.

virtual csReversibleTransform& iSkeletonSocket::GetFullTransform | ( |  | ) | `[pure virtual]`

Get full transform of the socket.

virtual const char* iSkeletonSocket::GetName | ( |  | ) | const`[pure virtual]`

Get socket name.

virtual iSceneNode* iSkeletonSocket::GetSceneNode | ( |  | ) | `[pure virtual]`

Get scene node.

virtual csReversibleTransform& iSkeletonSocket::GetTransform | ( |  | ) | `[pure virtual]`

Get socket transform in parent's coordsys.

virtual void iSkeletonSocket::SetBone | ( | iSkeletonBone * | bone | ) | `[pure virtual]`

Set parent bone.

virtual void iSkeletonSocket::SetName | ( | const char * | name | ) | `[pure virtual]`

Set socket name.

virtual void iSkeletonSocket::SetSceneNode | ( | iSceneNode * | node | ) | `[pure virtual]`

Set scene node (mesh, camera or light).

virtual void iSkeletonSocket::SetTransform | ( | const csReversibleTransform & | transform | ) | `[pure virtual]`

Set socket transform in parent's coordsys.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h